//	Persistence of Vision Raytracer Version 3.5 Scene Description File
//	File: hollow3.pov
//	Author: Dieter Bayer
//	Description:
// This scene shows a hollow, checkered sphere filled with fire.
//
//*******************************************

global_settings {
  //max_trace_level 5
}

#include "colors.inc"

camera {
  location <0,0,-2.3>
  //angle 90
  right <1,0,0> up <0,1,0>
  // clock
}

background { color rgb <0,0,0> }

// light_source { <100, 100, -200> color White }
/*
/usr/share/povray-3.5/include/stars.inc

  sky_sphere {
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }
    
  }
  */
  

sphere { < 0, 0, 0>, 4
	// pigment { rgbt 1 } // surface of sphere is transparent
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.784692589186
			intervals 1
			samples 33
			method 3
			density {
				spherical
				ramp_wave
        translate (71.5744585132 + clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 0.385698820458 }
        translate -(71.5744585132 + clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <0, 0, 0>]
          [0.0104244727944 color rgb <0.946190971856,0.252832540894,0.474502099433>]
[0.350592474312 color rgb <0.330322881849,0.158055847119,0.609250057772>]
[0.500716781828 color rgb <0.324203120696,0.564817451204,0.62529696693>]
[0.508979399909 color rgb <0.870304258014,0.968750932239,0.125344943314>]
[0.547005079498 color rgb <0.847696817875,0.443761219012,0.113468539488>]
[0.673237176968 color rgb <0.0876346016711,0.784654686593,0.888662364282>]
[0.717344080217 color rgb <0.211193188658,0.213107031869,0.414332389093>]
[0.849346091964 color rgb <0.761150198877,0.0160181694739,0.349105740594>]
[1.0 color rgb <0.684201067632,0.694603377345,0.0258561731437>]
				}
			}
      scale 0.7
		}
	}
	//translate 25*y
	hollow
}

  /*
sphere { < 0, 0, 0>, 2
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.02
			intervals 1
			samples 25
			method 3
			density {
				spherical
				ramp_wave
        translate (clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 2.5 }
        translate -(clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <1, 0, 0>]
					[0.1 color rgb <1, 1, 0>]
					[0.5 color rgb <1, 1, 0>]
					[1.0 color rgb <1, 0, 0>]
				}
			}
			density {
				spherical
				ramp_wave
				color_map {
					[0.0 color rgb 1]
					[0.2 color rgb 1]
					[0.3 color rgb 1]
					[1.0 color rgb 1]
				}
			}
		}
	}
	scale 1
	hollow
}
*/